Skip to main content
aboutsummaryrefslogtreecommitdiffstats
path: root/releng
AgeCommit message (Collapse)AuthorFilesLines
2022-03-25[releng] Update the setup for 2022-06 supportEd Merks1-0/+11
2022-03-17[releng] Update the builds to support 2022-06 (2.30).Ed Merks8-34/+78
2022-03-12[releng] Enable the setup for an older IDE where GWT still works.Ed Merks1-1/+5
2022-03-12[releng] Update setup.Ed Merks1-0/+2
2022-02-11[releng] Keep up with latest Xtext and data binding changes.Ed Merks2-4/+7
2021-12-16[releng] Update TP and builds for 2022-03Ed Merks4-2/+46
2021-12-08[releng] Update EMF.setup for 2022-03Ed Merks1-0/+11
2021-09-24[releng] Reset version baselineEd Merks34-234/+278
Use use https://download.eclipse in instead of http://download.eclipse.org consistently.
2021-09-21[releng] Prepare setup for 2021-12.Ed Merks1-0/+11
2021-08-29[releng] The update site generator should not assume there is a siteEd Merks1-5/+5
repository when promoting a milestone to a release.
2021-07-05[releng] Use newer version of jar signer.Ed Merks1-1/+1
2021-06-17[releng] Prepare for 2021-09Ed Merks6-15/+70
2021-04-27[releng] Make Ecore Tools installation optional in the setup.Ed Merks1-1/+2
2021-04-05[540281] Replace usage of String#replaceAll where no regexp neededEd Merks1-1/+1
Change-Id: I07b6594ad5ad0ee6c30eed429593d4419ba21713
2021-03-19[releng] Use newer Tycho and newer TP for p2 publishing.Ed Merks1-3/+3
2021-03-19[releng] More updates to enable builds for 2021-06Ed Merks1-1/+1
Reset the version baseline. Change Xcore projects to BREE 1.8 because Tycho 2.2.0 fails to build them for BREE 1.6 and we need Tycho 2.2.0 to be able to launch surefire where older Tycho versions depend on the deleted IPlatformRunnable.
2021-03-18[releng] Ensure that older builds still work in addition to 2021-06Ed Merks4-4/+4
2021-03-18[releng] Try building with Tycho 2.0.0Ed Merks1-1/+1
2021-03-18[Releng] Updates to prepare for 2020-06.Ed Merks5-5/+60
2020-12-30[releng] Updates for 2021-03 EMF 2.25Ed Merks23-24/+79
This also deals with the disappearance of GWT's site: https://dl.google.com/eclipse/plugin/4.6 I've recovered the previous contents from my local bundle pool and placed it here: http://www.macromodeling.com/gwt
2020-11-05[568539] artifacts.xml announces pack.gz which is not included inEd Merks2-2/+17
EMF-Updates-2.xx.zip
2020-09-17[releng] Update launcher features.Ed Merks1-120/+120
2020-09-17[releng] Prepare for 2020-12 target platform and increment versions.Ed Merks6-16/+60
2020-09-17[Releng] Prepare setup for 2020-12.Ed Merks1-1/+12
2020-08-17[Releng] Update launchers and publishing to newer Tycho and platform.Ed Merks5-8/+8
2020-08-17[Releng] Parameterize the Java version to be able to build older TPs.Ed Merks2-3/+26
2020-08-17[Releng] Change pom for doc build to use Java 11.Ed Merks1-1/+1
2020-08-17[Releng] Increment versions for test.xmlEd Merks3-3/+3
Also fix the environment used to run ant. And fix the local tycho build to use Java 11. Signed-off-by: Ed Merks <ed.merks@gmail.com>
2020-07-03[releng] Update all launchers.Ed Merks1-1/+1
2020-07-03[558361] Promote HTTPS repository URLsEd Merks3-5/+5
2020-07-01[releng] Fix deprecation warnings and reflective access warnings forEd Merks2-3/+3
Java 11.
2020-06-29[563042] Migrating to the new Xtext generator workflow.Tamas Miklossy35-131/+125
-------------- I. org.eclipse.emf.ecore.xcore plugin ------------------ 1. Modify the GenerateXcore.mwe2 workflow to use the new Xtext generator workflow (org.eclipse.xtext.xtext.generator.*) packages instead of the old deprecated generator workflow (org.eclipse.xtext.generator.*) packages. 2. Rename XcoreJavaValidator to XcoreValidator. 3. Update generated code in the src-gen folder. -------------- II. org.eclipse.emf.ecore.xcore.ui plugin -------------- 1. Move the content assist infrastructure from the org.eclipse.emf.ecore.xcore.ui package into the org.eclipse.emf.ecore.xcore.ide package. 2. Rename XcoreEditor to CustomXcoreEditor to avoid naming collision with the generated editor. Modify the hand-written CustomXcoreEditor to inherit from the generated XcoreEditor. 3. Update plugin.xml_gen 4. Merge plugin.xml_gen into plugin.xml. -------------- III. org.eclipse.emf.test.ecore.xcore plugin ----------- 1. Move the XcoreInjectorProvider from the org.eclipse.emf.ecore.xcore package to the org.eclipse.emf.ecore.xcore.tests package. 2. Add generated XcoreUiInjectorProvider class. 3. Update META-INF/MANIFEST.MF file. -------------- IV. Versions and Builds -------------------------------- 1. Modify the lower bounds of plugin dependencies because minimally Xtext 2.18 is required 2. Ensure that all plugin dependencies have version ranges. 2. Modify the releng POMs so that the build of Xcore and the site, which depends on Xcore, is disabled for target platforms < 2019-06. Change-Id: I81e446995025832dc2e84decc818cfe533293ff4 Signed-off-by: Tamas Miklossy <miklossy@itemis.de>
2020-06-24[releng] Improve the setup.Ed Merks1-3/+72
2020-06-21[releng] Update setup for 2020-09 development.Ed Merks1-14/+29
2020-03-24[releng] Eliminate new warnings.Ed Merks2-2/+1
2020-03-24[releng] Try latest Tycho againEd Merks1-3/+3
2020-03-24[releng] Try anything to get the build to run again.Ed Merks1-2/+2
2020-03-24[releng] Try an older tycho version.Ed Merks1-1/+1
2020-03-24[releng] Try an other tycho version.Ed Merks1-1/+1
2020-03-24[releng] Specify phase for tycho-source-feature-plugin.Ed Merks1-0/+1
2020-03-24[releng] Specify tycho version for tycho-source-feature-plugin.Ed Merks1-0/+1
2020-03-22[releng] Update tycho and jarsigner versionsEd Merks2-6/+6
Also use latest p2 to compose repositories.
2020-03-19[releng] Update setup and TP for EMF 2.22 for 2020-06Ed Merks5-4/+64
2020-03-02[559400] Publish EMF/GWT libraries to Maven centralEd Merks1-1/+13
2020-01-27[releng] Increment versions.Ed Merks1-1/+1
2020-01-09[releng] Update Runtime Workspace launch configuration.Ed Merks1-0/+1
2019-12-20[releng] Change setup to ignore new BREE warning.Ed Merks1-0/+8
2019-12-20[releng] Create target platform for 2020-03 builds.Ed Merks6-4/+52
2019-12-20[releng] Update target platform for 4.14 release repository.Ed Merks1-1/+1
2019-12-20[releng] Update setups for 2020-03 development.Ed Merks2-2/+13

Back to the top